<template>
    <div>
        <o-field>
            <o-datepicker
                v-model="date"
                :date-formatter="dateToStrGB"
                icon="calendar"
                trap-focus
                range
                :month-class="$style.month"
            />
        </o-field>
    </div>
</template>

<script>
export default {
    name: 'DateRangePicker',

    data() {
        return {
            date: null,
        }
    },

    methods: {
        dateToStrGB(date) {
            console.log(date)
            if (date?.length) return `${date[0].toLocaleDateString('en-GB')} - ${date[1].toLocaleDateString('en-GB')}`
            else return ''
            // if (this.isSelecting) return this.startDate.toLocaleDateString('en-GB')
            //     if (Array.isArray(date) && date.length === 2)
            //       return `${date[0].toLocaleDateString('en-GB')} - ${date[1].toLocaleDateString('en-GB')}`
            //   } else return (date && date.toLocaleDateString('en-GB')).substring(3) || ''
        },
    },
}
</script>

<style lang="scss" module>
@import '@/assets/styles/components';
.month {
}
</style>
